section.shopping-cart{
    margin-top: 0;
}

.shopping-cart td{
    white-space:nowrap;
}

.shopping-cart table {
    table-layout: unset;
}

.shopping-cart__block-keeper{
    display: flex;
    flex-wrap: wrap;
}

.shopping-cart__block-elem{
    width: 65.95%;
    margin: 32px 2.1% 0 0;
    /* padding: 24px; */
    padding-left:0;
}

.shopping-cart__block-elem:last-child{
    width: 31.95%;
    margin-right: 0;
}

.shopping-cart__table th,
.shopping-cart__table td {
    padding-left: 0;
    vertical-align: top;
}

.shopping-cart__table th{
    color: #808080;
    padding-bottom: 8px;
    font-weight: normal;
    font-family: 'ObjectSansRegular',Object Sans;
    white-space: nowrap;
}

.shopping-cart__table .th-price,
.shopping-cart__table .th-remove,
.shopping-cart__table .td-price,
.shopping-cart__table .td-remove{
    padding-right: 10px;
    text-align: right;
}

.shopping-cart__table .td-remove {
    line-height: 0;
    padding-left: 8px;
    padding-top: 30px;
    cursor:pointer
}

.shopping-cart .advance-payment td{
    border:none
}

.shopping-cart .th-payment{
    font-size: 12px;
    line-height: 20px;
    color: #808080;
    /*font-family: 'ObjectSansHeavy', "Object Sans";*/
}

.shopping-cart .prev-price{
    font-size: 12px;
    text-decoration-line: line-through;
    color: #FF5544;
    padding-top: 12px;
}

.shopping-cart__table .td-server img{
    width: 16px;
    margin-right: 8px;
    border: 1px solid #e3e6e8;
    margin-bottom: 2px;
}

.shopping-cart .td-main-desc{
    cursor: pointer;
    white-space: nowrap;
}

.shopping-cart .td-main-desc.active img{
    transform: rotate(180deg);
}

.shopping-cart .td-additional-desc{
    display: none;
}

.shopping-cart .td-main-desc.active + .td-additional-desc{
    display: block;
    /* flex-wrap: wrap; */
    width: 100%;
    white-space: normal;
    font-size: 12px;
    padding-top: 12px;
}

.shopping-cart__block-summary{
    padding: 24px;
    border: 1px solid #BFBFBF;
    border-radius: 16px 16px 0 0;
    border-bottom: none;
}

.shopping-cart__block-summary .total-price{
    font-style: normal;
    font-weight: bold;
    font-size: 40px;
    line-height: 56px;
    color: #F36E3D;
    padding-top: 12px;
    font-family: 'ObjectSansRegular',Object Sans;
}

.shopping-cart__block-summary .price-desc {
    font-style: normal;
    font-weight: normal;
    font-size: 12px;
}

.shopping-cart__block-summary .underline-text {
    font-size: 16px;
    line-height: 24px;
    text-decoration-line: underline;
    padding-top: 24px;
}

.shopping-cart__block-summary-footer {
    padding: 24px;
    font-size: 16px;
    border: 1px solid #BFBFBF;
    border-radius: 0 0 16px 16px;
}

.shopping-cart__block-summary .button-block__button-keeper{
    display:flex;
    justify-content: flex-start;
    padding:24px 0 0;
    /* margin-right: 16px; */
}
.button-purple,
.shopping-cart__block-summary .btn-cart-next-step{
    cursor: pointer;
    font-size: 24px;
    border: 1px solid #bfbfbf;
    box-sizing: border-box;
    border-radius: 40px;
    font-family: 'ObjectSansHeavy', Object Sans;
    font-weight: 400;
}

.shopping-cart__block-summary .button-block__button {
    margin:0;
    margin-right: 16px;
}

.shopping-cart__table-responsive{
    display: none;
}

.cart__empty-content{
    margin-top:64px;
    display:flex;
}

.shopping-cart__block-summary .btn_disabled{
    pointer-events: none;
    background: #808080!important;
    border-color: #808080!important;;
}

@supports (-webkit-hyphens:none) {
    .shopping-cart__block-summary .button-block__button {
        letter-spacing: -1px;
        word-spacing: -1px;

    }
}

@media screen and (max-width: 1024px) {
    .shopping-cart__block-summary .button-block__button{
        font-size: 16px;
        line-height: 24px;
        white-space: nowrap;
    }
}
@media screen and (max-width: 1014px) {
    .shopping-cart__block-elem{
        width:100% !important;
    }
    .cart__empty-content {
        margin-bottom:64px;
    }

    .shopping-cart .js-livechat-trigger {
        padding: .5em 1em;
    }
    .shopping-cart__block-inner .js-livechat-trigger {
        padding: 0;
    }
}

@media screen and (min-width: 651px) and (max-width: 1014px) {
    .shopping-cart__summary-content{
        display:flex;
        justify-content:space-between;
        align-items:center;
    }

    .shopping-cart__summary-content .price-desc {
        padding-top:12px
    }

    .shopping-cart__summary-buttons {
        min-width: 280px;
    }

    .shopping-cart__summary-buttons .underline-text {
        padding-top:16px;
    }

    .shopping-cart__table th, .shopping-cart__table td {
        padding-right: 18px;
    }

    .shopping-cart__block-summary .button-block__button-keeper {
        justify-content: flex-end;
        /* width:90%; */
    }

    .shopping-cart__block-summary .button-block__button-keeper .button-white {
        margin-right:18px
    }

    .shopping-cart .underline-text {
        text-align:right;
    }

}

@media screen and (max-width: 649px) {
    .shopping-cart h1{
        font-size:36px
    }

    .shopping-cart__table{
        display: none;
    }

    .shopping-cart__table-responsive {
        display: block;
    }

    .shopping-cart__table-responsive td,
    .shopping-cart__table-responsive th {
        border:none;
        padding:0;
        width:50%;
    }

    .shopping-cart__table-responsive th {
        border:none;
        padding: 24px 0 8px 0;
    }

    .shopping-cart__table-responsive th:last-child,
    .shopping-cart__table-responsive td:last-child {
        padding-left: 24px;
        padding-right: 12px;
    }

    .shopping-cart__table-responsive-border {
        border-top: 1px dashed #BFBFBF;
        margin: 0;
        padding-bottom: 24px;
    }

    /*.shopping-cart__table-responsive-border:last-child {*/
    /*    border-color: transparent;*/
    /*}*/

    .shopping-cart__block-elem {
        margin-top: 6px;
        margin-right: 0;
    }

    .shopping-cart__table-responsive .td-server img {
        margin-right: 8px;
        width: 14px;
        margin-bottom: 2px;
    }

    .shopping-cart .main-description td:last-child,
    .shopping-cart .main-description th:last-child{
        padding-left: 0;
    }

    .shopping-cart .table-price{
        align-items: center;
    }
    .shopping-cart .table-price .prev-price{
        padding: 0 8px;
    }

    .shopping-cart .responsive-price{
        margin-bottom: 24px;
    }

    .shopping-cart__block-summary .button-block__button-keeper{
        display: flex;
        flex-direction: column;
        justify-content: start;
        align-items: start;
    }

    .shopping-cart__block-summary .button-block__button-keeper button:last-child{
        margin-top: 24px;
    }

}

@media screen and (max-width: 580px) {
    .shopping-cart__block-summary .button-block__button {
        margin-right: 0;
        margin-top: 24px;
    }

}